## Stream Messages

`client.chat.stream(stringsessionID, ChatStreamParamsparams, RequestOptionsoptions?): ChatStreamResponse`

**post** `/api/v1/chat/{session_id}/messages/stream`

Stream agent events for a chat turn as Server-Sent Events.

### Parameters

- `sessionID: string`

- `params: ChatStreamParams`

  - `index_ids: Array<string>`

    Body param: Indexes to retrieve data from.

  - `prompt: string`

    Body param: User message for this chat turn.

  - `organization_id?: string | null`

    Query param

  - `project_id?: string | null`

    Query param

  - `require_all_indexes?: boolean`

    Body param: Fail the turn if any requested index cannot be queried.

### Returns

- `ChatStreamResponse = unknown`

### Example

```typescript
import LlamaCloud from '@llamaindex/llama-cloud';

const client = new LlamaCloud({
  apiKey: process.env['LLAMA_CLOUD_API_KEY'], // This is the default and can be omitted
});

const response = await client.chat.stream('session_id', {
  index_ids: ['idx-abc123', 'idx-def456'],
  prompt: 'What were the main findings in Q3?',
});

console.log(response);
```

#### Response

```json
{}
```
